Contents

# Select...Case Statement

Handaarate hornyo aana irkire mitto woy mittunni ale fooliishshote taysha tiranno.

### Syntax:

      Select Case expression
         Case values
           Statement Block
      [  Case values2
           Statement Block]
      [  Case Else
           Statement Block]
      End Select

### Parameters:

expression: Any expression that controls if the statement block that follows the respective Case clause is executed.

values: Any value list that is compatible with the expression. The statement block that follows the Case clause is executed if expression matches values.

### Example:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                "1 nni 5 geeshsha noo kiiro" attami
            Case 6, 7, 8
                "6 nni 8 geeshsha noo kiiro" attami
            Case 8 To 10
                "8nni ale noo kiiro" attami
            Case Else
                "1 nni 10te hakkigeeshsho gobbaanni" attami
        End Select
    End Sub

Fiixoo'mino umo

Choose Function

Switch Function

If statement

Iif or Switch functions

Please support us!